ActiveMQTemporaryTopic (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.client

## Class ActiveMQTemporaryTopic

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQDestination
  - - org.apache.activemq.artemis.jms.client.ActiveMQTopic
    - - org.apache.activemq.artemis.jms.client.ActiveMQTemporaryTopic

- All Implemented Interfaces:
    Serializable, javax.jms.Destination, javax.jms.TemporaryTopic, javax.jms.Topic, Referenceable

      public class ActiveMQTemporaryTopic
      extends ActiveMQTopic
      implements javax.jms.TemporaryTopic

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `JMS_QUEUE_ADDRESS_PREFIX, JMS_TEMP_QUEUE_ADDRESS_PREFIX, JMS_TEMP_TOPIC_ADDRESS_PREFIX, JMS_TOPIC_ADDRESS_PREFIX, name, QUEUE_QUALIFIED_PREFIX, QUEUE_TYPE, TEMP_MASK, TEMP_QUEUE_QUALIFED_PREFIX, TEMP_QUEUE_TYPE, TEMP_TOPIC_QUALIFED_PREFIX, TEMP_TOPIC_TYPE, TOPIC_QUALIFIED_PREFIX, TOPIC_TYPE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ActiveMQTemporaryTopic(String address, String name, ActiveMQSession session)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQTopic

      `createAddressFromName, getTopicName, toString`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQDestination

      `createDestination, createQueue, createQueueAddressFromName, createQueueNameForDurableSubscription, createQueueNameForSharedSubscription, createTemporaryQueue, createTemporaryQueue, createTemporaryQueue, createTemporaryTopic, createTemporaryTopic, createTemporaryTopic, createTopic, createTopicAddressFromName, decomposeQueueNameForDurableSubscription, delete, equals, fromAddress, getAddress, getName, getReference, getSimpleAddress, hashCode, isQueue, isTemporary`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.TemporaryTopic

      `delete`

    - ### Methods inherited from interface javax.jms.Topic

      `getTopicName, toString`

- - ### Constructor Detail

    - #### ActiveMQTemporaryTopic

          protected ActiveMQTemporaryTopic(String address,
                                           String name,
                                           ActiveMQSession session)

Copyright © 2015. All rights reserved.